Полиморф Emacs дает ошибку при открытии файла

Я загрузил zip файл с полимером из GitHub, откройте zip файл, который дает папку с именем polymode-master. Я переименовал папку в полимоду и поместил ее в мою папку .emacs.d. Затем я ввел следующие строки в файл .emacs:

;; Polymode
(setq load-path
 (append '("~/.emacs.d/polymode/" "~/.emacs.d/polymode/modes")
 load-path))
(require 'poly-R)
(require 'poly-markdown)

Когда я открываю файл с emacs, он вызывает следующую ошибку:

Warning (initialization): An error occurred while loading `c:/Users/ab/.emacs':
File error: Cannot open load file, markdown-mode
To ensure normal operation, you should investigate and remove the
cause of the error in your initialization file. Start Emacs with
the `--debug-init' option to view a complete error backtrace.

Любая идея, что я сделал неправильно? Спасибо за помощь.

PS: Windows 7 GNU Emacs 24.3.1 ESS

1 ответ

polymode зависит от markdown-mode для поддержки Markdown, и это не похоже на то, что вы его установили.

Поскольку вы используете Emacs 24, у которого есть встроенный package.el, я настоятельно рекомендую установить его через MELPA stable (также доступно в регулярный MELPA и Marmalade), но если вы 'все еще устанавливая пакеты вручную, вы можете найти его на своем веб-сайте.

licensed under cc by-sa 3.0 with attribution.